Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 10:49
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
How to run Dolphin (Gamecube emulator) in Fluppy 13?
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 01 Apr 2011, 19:24    Post_subject:  How to run Dolphin (Gamecube emulator) in Fluppy 13?  

http://code.google.com/p/dolphin-emu/wiki/Linux_Build

I have no clue what any of this means; all I want is a functional GameCube emulator that will run on my OS (Fluppy 13, to be precise)...
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Sun 03 Apr 2011, 08:31    Post_subject:  

its not dolphin, but heres another one, an old one, never finished, called TuxCube: http://ppm.scottjarvis.com/emulation/GC/tuxcube.pet

I tried to compile Dolphin before, but it needs loads of libs, as they insisted on trying to support the Wii as well, so it needs bluetooth and all sorts...

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Sun 03 Apr 2011, 18:38    Post_subject:  

Wow, Scottman himself. Awesome. Cool

Is there any way to strip out the Wii parts of Dolphin? Tuxcube doesn't seem to work on my OS(Fluppy 13)...
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Mon 04 Apr 2011, 08:13    Post_subject:  

Warrior522 wrote:
Wow, Scottman himself. Awesome. Cool

Is there any way to strip out the Wii parts of Dolphin? Tuxcube doesn't seem to work on my OS(Fluppy 13)...

Yeah tuxcube is lame, and a dead project... I probably should have mentioned that.

As for ripping the Wii stuff out, I doubt it... But maybe there's an older version of Dolphin without Wii support, but pretty good GC support.

Here are the dependencies to compile Dolphin:
Quote:
wx2.8-headers libwxbase2.8-dev libwxgtk2.8-dev libgtk2.0-dev libsdl1.2-dev nvidia-cg-toolkit libxrandr-dev libxext-dev libglew1.5-dev libao-dev libasound2-dev libpulse-dev libbluetooth-dev libreadline5-dev libavcodec-dev libavformat-dev libswscale-dev

I am missing quite a few at the moment, but I may try to compile, one of the most recent version has fixes for the linux build (doesn't say what)..

But here is a binary I found, will test it soon as I finish this post: http://www.cs.huji.ac.il/~elylevy/dolphin/i686/

Edit: tested the binary, won't run on Puppy 4, glibc error, needs compiling to work... And I was also missing these libs:

Code:
   libbluetooth.so.3 => not found
   libwx_gtk2u_aui-2.8.so.0 => not found
   libwx_gtk2u_adv-2.8.so.0 => not found
   libwx_gtk2u_core-2.8.so.0 => not found
   libwx_baseu-2.8.so.0 => not found
   libjack.so.0 => not found

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Mon 04 Apr 2011, 17:30    Post_subject:  

Can't you search for and download them?
Back to top
View user's profile Send_private_message 
DPUP5520

Joined: 16 Feb 2011
Posts: 801

PostPosted: Mon 04 Apr 2011, 19:11    Post_subject:  

@sc0ttman
What was the glibc error that you got when you tried the binary?

_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Tue 05 Apr 2011, 07:05    Post_subject:  

DPUP5520 wrote:
@sc0ttman
What was the glibc error that you got when you tried the binary?

Yes, the binary I linked to. It may work on Puppy 5, with the extra deps, Fluppy and Puppeee already have bluetooth, and probably jack as well..

And yes I could search around for the other libs, but the GLIBC error on Puppy 4 (given by the binary package I linked to) would prevent it from working in Puppy 4 anyway. So I'll have to compile.

So at some point, I'll get around to compiling/getting the required libs and their DEV pets (if needed), then have a go at compiling for Puppy 4.

If you're using Fluppy, or Puppy 5, give the binary a go, if you can get all the libs together it might work.

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Tue 05 Apr 2011, 21:20    Post_subject:  

...hate to say this, but I don't know how to...
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Wed 06 Apr 2011, 06:13    Post_subject:  

Warrior522 wrote:
...hate to say this, but I don't know how to...

No probs..

1. Download the latest binary file here: http://www.cs.huji.ac.il/~elylevy/dolphin/i686/dolphin-4467-release.tar.bz2

2. Extract it using your archive manager ("xarchive" in Fluppy, I think - I have "xarchiver" in Puppy 4)

3. Browse into the directory with the green "Dolphin" file - that is the binary file (binary meaning it's already been compiled)...

4. Right click on it and choose 'Run in Terminal' - this will show you what errors you get, if any (you will surely get some).
You can then post the information here for more help.

5. The next steps will usually involve searching the forum for libs and files required by Dolphin. This is the best place to search from: http://wellminded.com/puppy/pupsearch.html

NOTE: If you do not have the 'Run in Terminal' option, then you can use ROX to browse to the directory containing the 'Dolphin' file, as above... Then you press the ` key (left of 1, above tab).. This will open a terminal window, already setup to look in the current folder.

Then you type './Dolphin' (without the quotes) in the terminal, in order to run the Dolphin binary.

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Wed 06 Apr 2011, 15:55    Post_subject:  

It wants libao.so.2, but I dunno where to put it...
Back to top
View user's profile Send_private_message 
Makoto


Joined: 03 Sep 2009
Posts: 1799
Location: Out wandering... maybe.

PostPosted: Thu 07 Apr 2011, 03:07    Post_subject:  

Try placing it in ~/.usr/lib.
Before you do that, however, open a terminal in the directory where the Dolphin binary is located (defaults to the ` key, I believe (above the Tab key)), and type:

Code:
ldd <name of binary>


If the binary's name is 'dolphin,' for example, it would be:

Code:
ldd dolphin


That should check the dependencies for the binary and see if there's anything else missing (look for 'not found' instances).

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Thu 07 Apr 2011, 11:05    Post_subject:  

That's how I got the lib.so.2 request...
Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Mon 24 Oct 2011, 14:38    Post_subject:  

Necrobump, but for a reason;

http://rpmfind.net/linux/rpm2html/search.php?query=libwx_gtk2u_aui-2.8.so.0

I have no idea which one of these is libwx_gtk2u_aui-2.8.so.0 (that's the missing thing it gave me, a google search yielded that link)...
Back to top
View user's profile Send_private_message 
wow

Joined: 29 Jun 2006
Posts: 988
Location: Peru

PostPosted: Sat 05 Nov 2011, 13:46    Post_subject:  

http://www.murga-linux.com/puppy/viewtopic.php?p=438866#438866
Try to run the win32 version(using wine), it worked for me. But without wiimote support (real wiimote).

_________________

Back to top
View user's profile Send_private_message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Sat 05 Nov 2011, 14:24    Post_subject:  

wow wrote:
http://www.murga-linux.com/puppy/viewtopic.php?p=438866#438866
Try to run the win32 version(using wine), it worked for me. But without wiimote support (real wiimote).


What version of Wine are you using? Also, are you using Fluppy, or a different os?
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0756s ][ Queries: 11 (0.0036s) ][ GZIP on ]